# std::string

以下结果如果是`MSVC`均为使用`/source-charset:utf-8`的条件下。

| 可用性 | 编译器  | 是否使用了u8 | 测试环境  | 源码编码 | 输出编码 | 控制台编码/是否乱码 | 调试器是否乱码           |
| ------ | ------- | ------------ | --------- | -------- | -------- | ------------------- | ------------------------ |
|        | MinGW64 | 否           | VSCode    | UTF-8    | GBK      | GBK，正常           | 不识别其内容是`\326`形式 |
|        | MinGW64 | 否           | VSCode    | UTF-8    | UTF-8    | GBK，乱码           | 正常                     |
|        | MinGW64 | 是           | VSCode    | UTF-8    | UTF-8    | GBK，乱码           | 正常                     |
| √      | MSVC    | 否           | VSCode    | UTF-8    | GBK      | GBK，正常           | 正常                     |
|        | MSVC    | 是           | QtCreator | UTF-8    | GBK      | GBK，乱码           | 正常                     |
|        | MSVC    | 否           | QtCreator | UTF-8    | GBK      | GBK，正常           | 乱码                     |

# QString

以下结果如果是`MSVC`均为使用`/source-charset:utf-8`的条件下，`Qt6`删除库配置中的`-utf-8`选项才行。

| 可用性 | 编译器 | 是否使用了u8 | 测试环境  | 源码编码 | 输出编码 | 控制台编码/是否乱码 | 调试器是否乱码 |
| ------ | ------ | ------------ | --------- | -------- | -------- | ------------------- | -------------- |
| √      | MSVC   | 是           | VSCode    | UTF-8    | GBK      | GBK，正常           | 正常           |
| √      | MSVC   | 是           | QtCreator | UTF-8    | GBK      | GBK，正常           | 正常           |
|        | MSVC   | 否           | QtCreator | UTF-8    | GBK      | GBK，乱码           | 乱码           |
|        | MSVC   | 否           | VSCode    | UTF-8    | GBK      | GBK，乱码           | 乱码           |